import React from "react";
import { MatrixClient } from "matrix-js-sdk/src/matrix";
declare enum Phase {
    Edit = "edit",
    Importing = "importing"
}
interface IProps {
    matrixClient: MatrixClient;
    onFinished(imported?: boolean): void;
}
interface IState {
    enableSubmit: boolean;
    phase: Phase;
    errStr: string | null;
    passphrase: string;
}
export default class ImportE2eKeysDialog extends React.Component<IProps, IState> {
    private unmounted;
    private file;
    constructor(props: IProps);
    componentWillUnmount(): void;
    private onFormChange;
    private onPassphraseChange;
    private onFormSubmit;
    private startImport;
    private onCancelClick;
    render(): React.ReactNode;
}
export {};
